<template>
  <v-app>
    <v-app-bar app color="primary" dark>
      <div class="d-flex align-center justify-start">
        <v-btn class="mx-2" fab dark small color="primary" @click="back">
          <v-icon dark> mdi-keyboard-backspace </v-icon>
        </v-btn>
        <span class="font-weight-bold text-h6 white--text ml-2">{{
          title
        }}</span>
      </div>

      <v-spacer />

      <v-btn
        v-show="$vuetify.breakpoint.smAndDown"
        dark
        icon
        to="/"
        class="mr-2"
      >
        <v-icon>mdi-home</v-icon></v-btn
      >
      <v-btn
        v-show="$vuetify.breakpoint.smAndDown"
        dark
        icon
        to="/about"
        class="mr-12"
      >
        <v-icon>mdi-information</v-icon></v-btn
      >

      <v-btn v-show="$vuetify.breakpoint.mdAndUp" dark text to="/" class="mr-2">
        <v-icon left>mdi-home</v-icon>Home</v-btn
      >
      <v-btn
        v-show="$vuetify.breakpoint.mdAndUp"
        dark
        text
        to="/about"
        class="mr-12"
      >
        <v-icon left>mdi-information</v-icon>Tentang Pelita</v-btn
      >
    </v-app-bar>

    <v-main>
      <slot />
    </v-main>
  </v-app>
</template>

<script>
import { mapGetters } from "vuex";
export default {
  name: "child",
  data: () => ({
    //
  }),
  computed: {
    ...mapGetters({
      title: "constant/title",
    }),
  },
  methods: {
    back() {
      
      if (this.title === "Tentang Pelita") {
        
        this.$router.replace("/");
      } else {
        this.$router.back();
      }
      
    },
    about() {
      this.$router.replace("/about");
    },
    home() {
      this.$router.replace("/");
    },
  },
};
</script>
